package com.thebrokenrail.scriptcraft.api.bridge;

import com.thebrokenrail.scriptcraft.core.ScriptCraftCore;
import net.minecraft.block.AbstractBlock;
import net.minecraft.block.Material;
import net.minecraft.block.MaterialColor;

import java.util.Locale;

class BlockSettingsBridges {
    static void register() {
        ScriptCraftCore.addBridge("BlockSettings.create", args -> {
            Material material = (Material) args[0];
            MaterialColor materialColor = (MaterialColor) args[1];

            AbstractBlock.Settings settings = AbstractBlock.Settings.of(material, materialColor);

            settings.strength(((Double) args[2]).floatValue(), ((Double) args[3]).floatValue());

            return settings;
        });
    }
}
