package com.thebrokenrail.scriptcraft.api.bridge;

import com.thebrokenrail.scriptcraft.core.ScriptCraftCore;
import com.thebrokenrail.scriptcraft.api.util.ValueUtil;
import net.minecraft.inventory.Inventory;
import net.minecraft.item.ItemStack;

class InventoryBridges {
    static void register() {
        ScriptCraftCore.addBridge("Inventory.get", args -> ((Inventory) args[0]).getStack((int) ValueUtil.toDouble(args[1], 0)));
        ScriptCraftCore.addBridge("Inventory.take", args -> ((Inventory) args[0]).removeStack((int) ValueUtil.toDouble(args[1], 0), (int) ValueUtil.toDouble(args[2], 0)));
        ScriptCraftCore.addBridge("Inventory.set", args -> {
            ((Inventory) args[0]).setStack((int) ValueUtil.toDouble(args[1], 0), (ItemStack) args[2]);
            return null;
        });
        ScriptCraftCore.addBridge("Inventory.size", args -> ((Inventory) args[0]).size());
        ScriptCraftCore.addBridge("Inventory.getMaxStackSize", args -> ((Inventory) args[0]).getMaxCountPerStack());

        ScriptCraftCore.addBridge("Inventory.isValid", args -> args[0] instanceof Inventory);
    }
}
